libzypp: zypp::parser::yum::RepomdFileReader Class Reference

libzypp 17.38.6

zypp::parser::yum::RepomdFileReader Class Reference

Reads through a repomd.xml file and collects type, location, checksum and other data about metadata files to be processed. More...

`#include <zypp/parser/yum/RepomdFileReader.h>`

Inheritance diagram for zypp::parser::yum::RepomdFileReader:

## Classes
class | Impl

## Public Types
using | ProcessResource = function<bool (OnMediaLocation &&, const std::string &)>
| Callback taking OnMediaLocation and the resource type string.

## Public Member Functions
| RepomdFileReader (const Pathname &repomd_file, ProcessResource callback)
| CTOR.
| RepomdFileReader (const Pathname &repomd_file)
| ~RepomdFileReader ()
| DTOR.
const std::set< std::string > & | keywords () const
| repo keywords parsed on the fly
std::vector< std::pair< std::string, std::string > > | keyhints () const
| gpg key hits shipped in keywords (bsc#1184326)

## Private Attributes
RW_pointer< Impl, rw_pointer::Scoped< Impl > > | _pimpl

## Detailed Description

Reads through a repomd.xml file and collects type, location, checksum and other data about metadata files to be processed.

After each file entry is read, an OnMediaLocation and the resource type string are prepared and passed to the _callback.

Definition at line 38 of file RepomdFileReader.h.

## Member Typedef Documentation

## ◆ ProcessResource

using zypp::parser::yum::RepomdFileReader::ProcessResource = function<bool (OnMediaLocation &&, const std::string &)>

Callback taking OnMediaLocation and the resource type string.

Definition at line 42 of file RepomdFileReader.h.

## Constructor & Destructor Documentation

## ◆ RepomdFileReader() [1/2]

zypp::parser::yum::RepomdFileReader::RepomdFileReader | ( | const Pathname & | repomd_file,
|  | ProcessResource | callback )

CTOR.

Creates also xml::Reader and starts reading.

Parameters

  repomd_file | is the repomd.xml file you want to read
  callback | is a function.

See also
  RepomdFileReader::ProcessResource

Definition at line 196 of file RepomdFileReader.cc.

## ◆ RepomdFileReader() [2/2]

zypp::parser::yum::RepomdFileReader::RepomdFileReader | ( | const Pathname & | repomd_file | ) |

Definition at line 200 of file RepomdFileReader.cc.

## ◆ ~RepomdFileReader()

zypp::parser::yum::RepomdFileReader::~RepomdFileReader | ( |  | ) |

DTOR.

Definition at line 204 of file RepomdFileReader.cc.

## Member Function Documentation

## ◆ keywords()

const std::set< std::string > & zypp::parser::yum::RepomdFileReader::keywords | ( |  | ) | const

repo keywords parsed on the fly

Definition at line 207 of file RepomdFileReader.cc.

## ◆ keyhints()

std::vector< std::pair< std::string, std::string > > zypp::parser::yum::RepomdFileReader::keyhints | ( |  | ) | const

gpg key hits shipped in keywords (bsc#1184326)

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Definition at line 210 of file RepomdFileReader.cc.

## Member Data Documentation

## ◆ _pimpl

RW_pointer<Impl,rw_pointer::Scoped<Impl> > zypp::parser::yum::RepomdFileReader::_pimpl
| private

Definition at line 68 of file RepomdFileReader.h.

The documentation for this class was generated from the following files:

- zypp/parser/yum/RepomdFileReader.h
- zypp/parser/yum/RepomdFileReader.cc